Bug 109539 - spcaview and quickcam chat
Summary: spcaview and quickcam chat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-25 23:30 UTC by germain le chapelain
Modified: 2007-03-05 18:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.02 KB, patch)
2007-02-25 23:30 UTC, germain le chapelain
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description germain le chapelain 2007-02-25 23:30:05 UTC
spcaview doesn't numbes of usb device which was released after the linux driver.
Here is a patch for the quickcam chat

Fix: enclosed patch, based on gscpa-*, the next driver on linux

Patch attached with submission follows:
How-To-Repeat: plug your quickcam chat camera, spca says it s not supported, but it is
Comment 1 Edwin Groothuis freebsd_committer 2007-02-26 06:17:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Yoshihiko Sarumaru 2007-03-05 17:34:00 UTC
Hi,

Your patch was adopted by original author, and a new patchset
for spcaview was released.
A problem with imlib initialization was also fixed in this
new patchset.

By the way, I found that I had failed to add PORTREVISION in last
send-pr, sorry!

Thanks,

diff -ur spcaview.bak/Makefile spcaview/Makefile
--- spcaview.bak/Makefile	Tue Jun 13 02:22:08 2006
+++ spcaview/Makefile	Tue Mar  6 02:26:37 2007
@@ -7,13 +7,13 @@

 PORTNAME=	spca5xx
 PORTVERSION=	20060402
-PORTREVISON=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 MASTER_SITES=	http://mxhaard.free.fr/spca50x/Download/ \
 		http://mxhaard.free.fr/spca50x/Download/oldrelease/

 PATCH_SITES=	http://www.medias.ne.jp/~takam/bsd/
-PATCHFILES=	spca5xx-bsd-0.6a.patch.gz
+PATCHFILES=	spca5xx-bsd-0.6b.patch.gz
 PATCH_DIST_STRIP=	-p3

 MAINTAINER=	mistral@imasy.or.jp
diff -ur spcaview.bak/distinfo spcaview/distinfo
--- spcaview.bak/distinfo	Tue Jun 13 02:22:08 2006
+++ spcaview/distinfo	Tue Mar  6 02:14:24 2007
@@ -1,6 +1,6 @@
 MD5 (spca5xx-20060402.tar.gz) = 572bdfbf094a12b4159461492b92c0b4
 SHA256 (spca5xx-20060402.tar.gz) =
f144f476e393e0ebd75d2eca4fde28c20b78b887c925fdff5e5139adece7fcf5
 SIZE (spca5xx-20060402.tar.gz) = 195622
-MD5 (spca5xx-bsd-0.6a.patch.gz) = 5b2c9aeb2d0ea66b1579d4f865320a7c
-SHA256 (spca5xx-bsd-0.6a.patch.gz) =
944a9d484f4a35ccc5dd4def0c8923fd5a65a20065470878c53b0b172fad245d
-SIZE (spca5xx-bsd-0.6a.patch.gz) = 31203
+MD5 (spca5xx-bsd-0.6b.patch.gz) = ca3f27f3c7ad51343cd76b0a54235355
+SHA256 (spca5xx-bsd-0.6b.patch.gz) =
f90c12a35ab3fe87662d253072c85321728cff6c0c9f762d3ec492c872fbf944
+SIZE (spca5xx-bsd-0.6b.patch.gz) = 31635
diff -ur spcaview.bak/pkg-descr spcaview/pkg-descr
--- spcaview.bak/pkg-descr	Tue Jun 13 02:22:08 2006
+++ spcaview/pkg-descr	Tue Mar  6 02:28:36 2007
@@ -13,6 +13,7 @@
 	0x041e	0x403a	Creative webcam nx pro
 	0x046d	0x0928	Logitech QuickCam Express II
 	0x046d	0x092c	Logitech QuickCam chat
+	0x046d	0x092e	Logitech QuickCam chat
 	0x0572	0x0041	Creative webcam notebook PD1170
 	0x060b	0xa001	Maxell CompactPC Camera PM3
 	0x0733	0x0401	Intel CS330
@@ -21,6 +22,7 @@
 	0x0923	0x010f	PC CAM CP03(global sources)
 	0x0923	0x010f	WEB Camera PBC0006(persol)
 	0x093a	0x2468	Generic webcam based PAC207
+	0x093a	0x2468	Easy Snap Snake Eye Webcam
 	0x0ac8	0x301b	LOAS MCM-H06SL
 	0x0ac8	0x301b	Sandberg Nightvision
 	0x0c45	0x6005	Generic webcam based SN9C101
Comment 3 dfilter service freebsd_committer 2007-03-05 18:17:43 UTC
ume         2007-03-05 18:17:29 UTC

  FreeBSD ports repository

  Modified files:
    graphics/spcaview    Makefile distinfo pkg-descr 
  Log:
  Update spca5xx-bsd patch to 0.6a that includes the change
  posted as ports/109539.
  
  PR:             ports/109539
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.8       +2 -2      ports/graphics/spcaview/Makefile
  1.7       +3 -3      ports/graphics/spcaview/distinfo
  1.7       +2 -0      ports/graphics/spcaview/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Hajimu UMEMOTO freebsd_committer 2007-03-05 18:17:59 UTC
State Changed
From-To: feedback->closed

committed, thanks!! 


Comment 5 Hajimu UMEMOTO freebsd_committer 2007-03-05 18:17:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

committed, thanks!!